<? ob_start(); 
session_start();
$cod_alumno = $_SESSION['cod_usuario'];
//conexion al servidor
include("../script/conexion.php");  

$link = conectarse();
			
//obtencion del lectivo actual
$ssql = "select cod_lectivo from lectivo where estado = 1";

$rs = mysql_query($ssql,$link); 

$row= mysql_fetch_array($rs);

$cod_lectivo = $row[0];

//obtencion de lectivo

$ssql = "select desc_lectivo from lectivo where cod_lectivo = $cod_lectivo";
$rs = mysql_query($ssql,$link); 
$row= mysql_fetch_array($rs);
$lectivo = $row[0];

//obtencion del curso del alumno
$ssql = "select curso from cabecera_estudiante where id_estudiante = $cod_alumno and lectivo = $cod_lectivo";
$rs = mysql_query($ssql,$link);
$row = mysql_fetch_array($rs);
$cod_curso = $row[0];

//obtencion del curso
$ssql = "select desc_curso from curso where cod_curso = $cod_curso";
$rs = mysql_query($ssql,$link);
$row = mysql_fetch_array($rs);
$curso = $row[0];




//obtencion de la lista de estudiante 

//selecciona los datos del alumno



$ssql = "SELECT apellido_paterno,apellido_materno,nombre_primero,cabecera_estudiante.id_estudiante

FROM cabecera_estudiante,historico_estudiante 

WHERE cabecera_estudiante.id_estudiante = historico_estudiante.id_estudiante and cabecera_estudiante.id_estudiante = $cod_alumno

and estado = 1 and curso = $cod_curso and lectivo = $cod_lectivo order by apellido_paterno,apellido_materno,nombre_primero";



$resultado = mysql_query($ssql,$link);





?>

<? ob_end_clean(); 
include("fpdf/fpdf.php");

class PDF extends FPDF

{

//Cabecera de página

function Header()

{

    //Logo

    $this->Image('logo.jpeg',10,8,33);

    //Arial bold 15

    $this->SetFont('Arial','B',8);

    //Movernos a la derecha

    $this->Cell(40);

    //Título

    $this->Cell(100,10,'UNIDAD EDUCATIVA REPUBLICA DE FRANCIA',0,0,'C');

	$this->Ln(10);

	$this->Cell(40);

	 $this->Cell(100,10,'REPORTE DE CALIFICACIÓN ACUMULADO QUIMESTRAL',0,0,'C');

	 $this->Ln(10);

    //Salto de línea

	}

	

	function BasicTable($header)

{

    //tamaño de las columnas

	$w=array(60,7,7,7,7,7,7,12);

	//Cabecera

	$this->SetFont('Arial','',6);

    
		$this->Cell($w[0],5,$header[0],1,0);
		$this->Cell($w[1],5,$header[1],1,0,'C');
		$this->Cell($w[2],5,$header[2],1,0,'C');
		$this->Cell($w[3],5,$header[3],1,0,'C');
		$this->Cell($w[5],5,$header[4],1,0,'C');
		$this->Cell($w[6],5,$header[5],1,0,'C');
		$this->Cell($w[6],5,$header[6],1,0,'C');
		$this->Cell($w[6],5,$header[7],1,0,'C');
		$this->Cell($w[6],5,$header[8],1,0,'C');
		$this->Cell($w[6],5,$header[9],1,0,'C');
		$this->Cell($w[6],5,$header[10],1,0,'C');
		$this->Cell($w[6],5,$header[11],1,0,'C');
		$this->Cell($w[6],5,$header[12],1,0,'C');
		$this->Cell($w[6],5,$header[13],1,0,'C');
		$this->Cell($w[6],5,$header[14],1,0,'C');
		$this->Cell($w[7],5,$header[15],1,0,'C');
		$this->Cell($w[7],5,$header[16],1,0,'C');

  

    $this->Ln();

}



		}

//fin de la clase para cabecera de pagina		

$pdf = new PDF('P','mm','legal');



//**************************************************************************

//while principal contiene a todos los estudiantes 



//**************************************************************************

while($row1 = mysql_fetch_array($resultado))

{

$nombre = $row1[0]." ".$row1[1]." ".$row1[2];

$alumno = $row1[3];



$c = 0;

$suma = 0;



$cont = 0;

//cambio a mayusculas del nombre

$nombre = strtoupper($nombre);

//datos de la cabecera

$pdf->AddPage();

$pdf->SetFont('Arial','B',6);

$pdf->Cell(30);

$pdf->Cell(40,10,$lectivo,0,0,'C');

$pdf->Cell(20);

$pdf->Cell(40,10,$curso,0,0,'C');

$pdf->ln(10);

$pdf->Cell(40,10,'NOMBRES Y APELLIDOS:  ',0,0,'C');

$pdf->Cell(40,10,$nombre,0,0,'C');

$pdf->ln(10);

$pdf->Cell(60,10,'',0,0,'C');
$pdf->Cell(42,10,'Primer Quimestre',1,0,'C');
$pdf->Cell(42,10,'Segundo Quimestre',1,0,'C');
$pdf->Cell(14,10,'Nota Anual',1,0,'C');
$pdf->Cell(24,10,'Observación',1,0,'C');
$pdf->ln(10);

$header=array('Asignaturas','Ap1','Ap2','Prom','Exa','Prom','Tot','Ap1','Ap2','Prom','Exa','Prom','Tot','Suma','Final','Promovido','Supletorio');
$pdf->BasicTable($header);

//selecciona la asignaturas del curso


$ssql = "select distinct cod_asignatura,desc_asignatura from cabacta_mensual,detacta_mensual,asignatura where cod_acta = cod_cabecera and asignatura = cod_asignatura and cod_alumno = $alumno and lectivo = $cod_lectivo 

order by desc_asignatura,cabacta_mensual.aporte";


//obtengo los valores de cada aporte(4 calificaciones) por asignatura y los guardo en un arreglo


$ssql2 = "select cod_asignatura,cabacta_mensual.aporte,cabacta_mensual.quimestre,promedio,mejoramiento,promfinal from cabacta_mensual,detacta_mensual,asignatura where cod_acta = cod_cabecera and asignatura = cod_asignatura and cod_alumno = $alumno and lectivo = $cod_lectivo order by desc_asignatura,cabacta_mensual.quimestre,cabacta_mensual.aporte";
$rs2 = mysql_query($ssql2,$link);



while($row2 = mysql_fetch_array($rs2))

{
//nota sin mejoramiento
$nota_parcial[$alumno][$row2[0]][$row2[2]][$row2[1]]=$row2[3];
//nota con mejoramiento
$nota_parcialm[$alumno][$row2[0]][$row2[2]][$row2[1]]=$row2[4];
//promedio de mejoramiento
$nota_parcial2[$alumno][$row2[0]][$row2[2]][$row2[1]]=$row2[5];
}

//Ejecuto la sentencia 

$rs5 = mysql_query($ssql,$link);

//*********************************************************************

//while secundario contiene las notas y calificaciones de los estudiantes

//*********************************************************************

		  while($row = mysql_fetch_array($rs5))



		  {

		  

		  $cont = $cont + 1;



		  $asignatura =strtoupper($row[1]);

		  
//obtencion de notas de aportes por trimestres
//inicializacion de variables
$codigo_quimestre = 0;

while($codigo_quimestre < 200)
{
$codigo_quimestre = $codigo_quimestre + 100;
$codigo_aporte = 0;
//obtener los datos de los aportes en arreglos
	while($codigo_aporte < 4)
{
		$codigo_aporte = $codigo_aporte + 1;	
		$nota_temporal = 0;
		$temp_aporte = $nota_parcialm[$alumno][$row[0]][$codigo_quimestre][$codigo_aporte];
		//compruebo si tiene nota en mejoramiento
		if($temp_aporte>0)
				  {
		            $nota_temporal=$nota_parcial2[$alumno][$row[0]][$codigo_quimestre][$codigo_aporte];  
				  }
				  else
				  {
				      $nota_temporal = $nota_parcial[$alumno][$row[0]][$codigo_quimestre][$codigo_aporte];
				  }
		$nota_aporte[$codigo_quimestre][$codigo_aporte]=$nota_temporal;
		}
					
//obtencion del promedio parcial
if($cod_curso>400)
{
    $p_aporte = 0.70;
    $p_examen=0.30;
}
else
{
    $p_aporte = 0.80;
    $p_examen=0.20;
}

$prom_parcial[$codigo_quimestre] = round((($nota_aporte[$codigo_quimestre][1] + $nota_aporte[$codigo_quimestre][2])/2)*$p_aporte,2);



//obtencion del promedio examen

$prom_examen[$codigo_quimestre] = round(($nota_aporte[$codigo_quimestre][4])*$p_examen,2);

//obtencion del promedio final

$prom_final[$codigo_quimestre] = $prom_parcial[$codigo_quimestre]+$prom_examen[$codigo_quimestre];
if($prom_final[$codigo_quimestre] == 10)
{
$notac[$codigo_quimestre]="SAR";
}
	else
	{
		if($prom_final[$codigo_quimestre] >=9)
		{
			$notac[$codigo_quimestre]="DAR";
		}
		else
		{
			if($prom_final[$codigo_quimestre] >=7)
			{
				$notac[$codigo_quimestre]="ARR";
				}
				else
				{
					if($prom_final[$codigo_quimestre] >=5)
					{
						$notac[$codigo_quimestre]="PAAR";
						
						}
						else
						{
							$notac[$codigo_quimestre]="NAAR";
							}
					
					}
		
		}
		
	}
		

}
//fin del while del while
	  

	 		  
$suma_total = $prom_final[100]+$prom_final[200];
$promedio_asignatura = round($suma_total / 2,2);

//Designar si fue promovido o suplegorio
if ($promedio_asignatura>=7)
{
	$promovido = "SI";
	$supletorio = " ";
	}
Else
{
	$promovido = " ";
	$supletorio = "SI";
	
	}

//calculo de promedio cualitativo final
if($promedio_asignatura == 10)
{
$notac1="SAR";
}
	else
	{
		if($promedio_asignatura >=9)
		{
			$notac1="DAR";
		}
		else
		{
			if($promedio_asignatura >=7)
			{
				$notac1="ARR";
				}
				else
				{
					if($promedio_asignatura >=5)
					{
						$notac1="PAAR";
						
						}
						else
						{
							$notac1="NAAR";
							}
					
					}
		
		}
		
	}
		
		  

$header=array($asignatura,$nota_aporte[100][1],$nota_aporte[100][2],$prom_parcial[100],$nota_aporte[100][4],$prom_examen[100],$prom_final[100],$nota_aporte[200][1],$nota_aporte[200][2],$prom_parcial[200],$nota_aporte[200][4],$prom_examen[200],$prom_final[200],$suma_total,$promedio_asignatura,$promovido,$supletorio);



$pdf->BasicTable($header);

						}

//final del ciclo de asignatura



//$pdf->Image('cuadro.gif',140,60,0,0,'');

$pdf->Image('firma.gif',20,160,0,0,'');



//**************************************************

//obtenemos los datos de la tabla conducta

//*************************************************
/*
$cod_aporte = 0;

$atrasos = 0;

$faltaj = 0;

$faltai = 0;

//ciclo principal para obtener todas las conductas del trimestre

while($cod_aporte < 3)

{

$cod_aporte = $cod_aporte + 1;

$ssql = "select nota,atrasos,faltaj,faltai ";



$ssql = $ssql."from cabacta_conducta,detacta_conducta ";



$ssql = $ssql."where cod_acta = cod_cabecera and cod_alumno = $alumno and lectivo = $cod_lectivo and trimestre = $cod_trimestre and aporte = $cod_aporte ";



$rsconducta = mysql_query($ssql,$link);



while($rowc = mysql_fetch_array($rsconducta))

	{



$nconducta[$alumno][$cod_aporte]= $rowc[0];

$atrasos = $atraso + $rowc[1];

$faltaj = $faltaj + $rowc[2];

$faltai = $faltai + $rowc[3];

}

//******************************************

//cierre del while de conducta y faltas -calculo de promedio y presentacion de informacion

//*****************************************

				}

//calculos de promedios finales conducta - aprovechamiento

$prom_parcialc = round(($nconducta[$alumno][1] + $nconducta[$alumno][2])/2);

$prom_finalc = round(($prom_parcialc + $nconducta[$alumno][3])/2);

$prom_general = round($suma/$c,2);

//presentacion de informacion

$pdf->ln(5);

$pdf->Cell(40,10,'Conducta General',0,0,'C');

$pdf->Cell(10,10,$prom_finalc,1,0,'C');

$pdf->Cell(40,10,'Promedio General',0,0,'C');

$pdf->Cell(10,10,$prom_general,1,0,'C');

*/

//************************************

//final del sistema

//************************************



     }

$pdf->Output();



ob_end_flush();

?>



